This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 20587 - db2pdf dumps core with a segmentation fault , FIX INCLUDED
db2pdf dumps core with a segmentation fault , FIX INCLUDED
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: stylesheets (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-09 10:31 EST by Peter Petrakis
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-09 10:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Petrakis 2000-11-09 10:31:19 EST
Trying to convert the SRM-HOWTO.sgml to pdf produces the following. 

This is pdfTeX, Version 3.14159-13d (Web2C 7.3.1)
(SRM-HOWTO.tex[/usr/share/texmf/pdftex/config/pdftex.cfg]
JadeTeX 1999/06/29: 2.7
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd)
(/usr/share/texmf/tex/jadetex/isoents.tex)
Elements will be labelled
Jade begin document sequence at 19
(SRM-HOWTO.aux) (/usr/share/texmf/tex/latex/cyrillic/ot2cmr.fd)
(/usr/share/texmf/tex/latex/base/ts1cmr.fd)
(/usr/share/texmf/tex/latex/lucidabr/lmrhlcm.fd)
(/usr/share/texmf/tex/context/base/supp-pdf.tex
(/usr/share/texmf/tex/context/base/supp-mis.tex
loading : Context Support Macros / Missing
)
loading : Context Support Macros / PDF
) (/usr/share/texmf/tex/latex/hyperref/nameref.sty)
(/usr/share/texmf/tex/latex/psnfss/t1phv.fd) [1.0.47
Warning: pdfjadetex (file pdftex.map): cannot open font map file
/usr/bin/db2pdf: line 28:  6255 Segmentation fault      (core dumped) 
pdfjadetex $TMPFN

NOTE: That pdftex.map is provided by the tetex-dvips package but for some 
reason wasnt install per default. If I install this package it db2pdf 
works. SO the fix is to make tetex-dvips a dependancy of stylesheets.

Below is working output :-)

Elements will be labelled
Jade begin document sequence at 19
(SRM-HOWTO-peter.aux) (/usr/share/texmf/tex/latex/cyrillic/ot2cmr.fd)
(/usr/share/texmf/tex/latex/base/ts1cmr.fd)
(/usr/share/texmf/tex/latex/lucidabr/lmrhlcm.fd)
(/usr/share/texmf/tex/context/base/supp-pdf.tex
(/usr/share/texmf/tex/context/base/supp-mis.tex
loading : Context Support Macros / Missing
)
loading : Context Support Macros / PDF
) (/usr/share/texmf/tex/latex/hyperref/nameref.sty)
(/usr/share/texmf/tex/latex/psnfss/t1phv.fd) [1.0.47
[/usr/share/texmf/dvips/con
fig/pdftex.map]] (/usr/share/texmf/tex/latex/psnfss/t1pcr.fd) [2.0.47] 
[3.0.47]
 [4.0.47] [5.0.47] [6.0.47] (/usr/share/texmf/tex/latex/psnfss/ts1ptm.fd)
Overfull \hbox (65.99968pt too wide) in paragraph at lines 2134--2134
 \T1/pcr/m/n/10.8 
ROOT=':pserver:anonymous@www.alphalinux.org:/home/axplinux/cv
s/development' 
[7.0.47] [8.0.47] [9.0.47] [10.0.47] [11.0.47] [12.0.47] [13.0.47] 
[14.0.47]
[15.0.47] [16.0.47] [17.0.47] [18.0.47] [19.0.47] [20.0.47] [21.0.47] 
[22.0.47]
[23.0.47] [24.0.47] [25.0.47] [26.0.47] [27.0.47] [28.0.47] [29.0.47] 
[30.0.47]
[31.0.47] [32.0.47] [33.0.47] (SRM-HOWTO-peter.aux) )
(see the transcript file for additional information)<8r.enc>
Output written on SRM-HOWTO-peter.pdf (33 pages, 119596 bytes).
Transcript written on SRM-HOWTO-peter.log.

NOTE: There is an outstanding bug against this same program for RH-6.2, 
bug number 9670. http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=9670 .
Comment 1 Tim Waugh 2000-11-09 13:42:13 EST
Fixed in stylesheets-1.57-4.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.